## org.springframework.expression.spel
Class InternalParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.expression.spel.InternalParseException

All Implemented Interfaces:
  Serializable

    public class InternalParseException

extends RuntimeException

Wraps a real parse exception. This exception flows to the top parse method and then the wrapped exception is thrown as the real problem.

Since:
  3.0
Author:
  Andy Clement
See Also:
  Serialized Form

Constructor Summary
`InternalParseException(SpelParseException cause)`

Method Summary
`SpelParseException` `getCause()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InternalParseException

    public InternalParseException(SpelParseException cause)

Method Detail

### getCause

    public SpelParseException getCause()

  Overrides:
    `getCause` in class `Throwable`